summaryrefslogtreecommitdiff
path: root/Master/tlpkg
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2023-04-01 20:37:25 +0000
committerKarl Berry <karl@freefriends.org>2023-04-01 20:37:25 +0000
commitac4b29ba86c1e2cfd7485ce42c7cef8c7cace6ef (patch)
tree14717b10bcc978e8c81952309c6554b4988ca94d /Master/tlpkg
parent32f0cbc8c2b5119e6c4187675b90a3e102e9604a (diff)
nicematrix (1apr23)
git-svn-id: svn://tug.org/texlive/trunk@66732 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Master/tlpkg')
-rwxr-xr-xMaster/tlpkg/bin/ctan2tl3
-rwxr-xr-xMaster/tlpkg/bin/tlpkginfo3
2 files changed, 5 insertions, 1 deletions
diff --git a/Master/tlpkg/bin/ctan2tl b/Master/tlpkg/bin/ctan2tl
index 6de48a3a0f5..91f4b43b6d0 100755
--- a/Master/tlpkg/bin/ctan2tl
+++ b/Master/tlpkg/bin/ctan2tl
@@ -63,6 +63,9 @@ while test $# -gt 0; do
'--git')
mode="git"
shift;;
+ */*)
+ echo "$0: package name must not contain /: $1" >&2
+ exit 1;;
*)
if test -n "$pkg"; then
echo "$0: package $pkg already specified, unexpected second: $1" >&2
diff --git a/Master/tlpkg/bin/tlpkginfo b/Master/tlpkg/bin/tlpkginfo
index 80929a1c5ee..c275afd2470 100755
--- a/Master/tlpkg/bin/tlpkginfo
+++ b/Master/tlpkg/bin/tlpkginfo
@@ -373,7 +373,8 @@ sub catalogue_find_ctan_path {
#
# Create a tmpdir with the tds-ready tree for PKG unpacked, if it exists,
# else return the normal ctan dir for PKG. Return undef if no package
-# or can't find any ctan directory.
+# or can't find any ctan directory. svn update the catalogue file if we
+# find it, unless the envvar TLPKGINFO_CATALOGUE_NO_UPDATE is set.
#
sub prepare {
my ($pkg) = @_;